Package org.apache.maven.archiver

## Class PomPropertiesUtil

- java.lang.Object
- - org.apache.maven.archiver.PomPropertiesUtil

    public class PomPropertiesUtil
    extends java.lang.Object

This class is responsible for creating the pom.properties file.

Version:
  $Id: PomPropertiesUtil.java 1745000 2016-05-21 23:00:43Z michaelo $

### Constructor Summary

Constructors
`PomPropertiesUtil()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `createPomProperties​(org.apache.maven.execution.MavenSession session, org.apache.maven.project.MavenProject project, org.codehaus.plexus.archiver.Archiver archiver, java.io.File customPomPropertiesFile, java.io.File pomPropertiesFile, boolean forceCreation)` Creates the pom.properties file.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PomPropertiesUtil

    public PomPropertiesUtil()

### Method Detail

#### createPomProperties

    public void createPomProperties​(org.apache.maven.execution.MavenSession session,
                                    org.apache.maven.project.MavenProject project,
                                    org.codehaus.plexus.archiver.Archiver archiver,
                                    java.io.File customPomPropertiesFile,
                                    java.io.File pomPropertiesFile,
                                    boolean forceCreation)
                             throws java.io.IOException

Creates the pom.properties file.

Parameters:
  `session` - `MavenSession`
  `project` - `MavenProject`
  `archiver` - `Archiver`
  `customPomPropertiesFile` - optional custom pom properties file
  `pomPropertiesFile` - The pom properties file.
  `forceCreation` - force creation true/false
Throws:
  `org.codehaus.plexus.archiver.ArchiverException` - archiver exception.
  `java.io.IOException` - IO exception.